Subject: Re: WARNING at net/mac80211/rate.c:513 ieee80211_get_tx_rates [mac80211]

From: Larry Finger <[email-masked]>
Date: Fri, 29 Jan 2016 13:42:52 -0600

On 01/29/2016 12:39 PM, Linus Torvalds wrote:
> On Fri, Jan 29, 2016 at 9:54 AM, Larry Finger <[email-masked]> wrote:
>>
>> The test patch that Johannes sent earlier was close. The section needed to
>> add VHT rates is:
>
> Hmm. This looks pretty much exactly like what I already tried (I had
> fixed Johannes' patch to use "vht_cap" already, since it didn't
> compile otherwise).
>
> So the only difference is that it only checks WIRELESS_MODE_AC_5G.
>
> But it worked for me this time. I have no idea why.
>
> Maybe Johannes' patch actually always worked for me, but I just had a
> transient problem that made me think it didn't. I think I only booted
> it once, and went "oh, ok, no network, that didn't work".

Thanks for testing.

Upon reflection, it really should check the other WIRELESS_MODE_AC_x bits. 
Johannes' patch was indeed correct.

With my AP setup changed, I get about 100 Mb/s RX using netperf. TX is still bad.

@Johannes: OK if I make you the author of the final version of the patch?

Larry

--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html